Welcome! Log In Create A New Profile

Advanced

Re: Выбор версии TLS в proxy_ssl_protocols

Evgeniy Berdnikov
November 16, 2018 07:36AM
Добрый день.

On Fri, Nov 16, 2018 at 02:23:52PM +0300, Maxim Dounin wrote:
> Проблема в том, что в Debian на системном уровне запрещены
> протоколы меньше TLS 1.2. Соответственно в вашей конфигурации
> оказываются запрещены вообще все протоколы - об этом и говорит
> ошибка "no protocols available".

Действительно, изменение MinProtocol в системном конфиге openssl
решает проблему. Спасибо.

> Исправить это можно, обновившись на nginx 1.15.3+, где
> соответствующая проблема полечена на уровне nginx[1], либо же
> убрав ограничение в системном конфиге OpenSSL и/или задав для
> nginx'а отдельный конфиг, без соответствующего ограничения.

Каким образом можно задать для nginx отдельный конфиг
без системного ограничения на версии TLS?

Предлагаю описание директив ssl_protocols и proxy_ssl_protocols
дополнить словами о том, что версия может быть ограничена в
системном конфиге openssl вплоть до некоторых версий nginx.
Хотя бы на сайте (в дистрибутивах с младшими версиями nginx
менять документацию уже поздно).
--
Eugene Berdnikov
_______________________________________________
nginx-ru mailing list
nginx-ru@nginx.org
http://mailman.nginx.org/mailman/listinfo/nginx-ru
Subject Author Posted

Выбор версии TLS в proxy_ssl_protocols

Evgeniy Berdnikov November 15, 2018 02:52PM

Re: Выбор версии TLS в proxy_ssl_protocols

Maxim Dounin November 16, 2018 06:24AM

Re: Выбор версии TLS в proxy_ssl_protocols

Evgeniy Berdnikov November 16, 2018 07:36AM

Re: Выбор версии TLS в proxy_ssl_protocols

Maxim Dounin November 16, 2018 08:10AM



Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 77
Record Number of Users: 6 on February 13, 2018
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready